var navicon = document.getElementById('navicon');
var bar1 = document.getElementById('bar1');
var bar2 = document.getElementById('bar2');
var bar3 = document.getElementById('bar3');
var nav = document.querySelector('.header-navigation');
var navmenu = document.getElementById('navmenu');
var isClicked = false;

navicon.addEventListener('click', function() {
    isClicked = !isClicked;
    if(isClicked) {
        navmenu.style.left = '0px';
        setTimeout(function() {
            bar1.style.transform = 'rotate(180deg)';
            bar1.style.backgroundColor = '#0f21a6';
        }, 0);
        setTimeout(function() {
            bar2.style.transform = 'rotate(180deg)';
            bar2.style.backgroundColor = '#edcf0e'; //WIST Sport Uniform refrence lol
        }, 100);
        setTimeout(function() {
            bar3.style.transform = 'rotate(180deg)';
            bar3.style.backgroundColor = '#d60b3e';
        }, 200);
    } else {
        navmenu.style.left = '-200px';
        setTimeout(function() {
            bar1.style.transform = 'rotate(0deg)';
            bar1.style.backgroundColor = 'white';
        }, 0);
        setTimeout(function() {
            bar2.style.transform = 'rotate(0deg)';
            bar2.style.backgroundColor = 'white';
        }, 100);
        setTimeout(function() {
            bar3.style.transform = 'rotate(0deg)';
            bar3.style.backgroundColor = 'white';
        }, 200);
    }
});

var navitemContainers = document.querySelectorAll('.navitem-container');

navitemContainers.forEach((container) => {
    container.addEventListener('mouseenter', function(e) {
        var childId = e.target.querySelector('.navitem').getAttribute('data-child');
        var child = document.getElementById(childId);
        if (child) {
            child.style.display = 'flex';
        }
    });

    container.addEventListener('mouseleave', function(e) {
        var childId = e.target.querySelector('.navitem').getAttribute('data-child');
        var child = document.getElementById(childId);
        if (child) {
            child.style.display = 'none';
        }
    });
});


window.addEventListener('resize', function() {
    if(window.innerWidth >= 1050) {
    nav.style.display = 'block';
    isClicked = false;
    navmenu.style.left = '-200px';
    setTimeout(function() {
        bar1.style.transform = 'rotate(0deg)';
        bar1.style.backgroundColor = 'white';
    }, 0);
    setTimeout(function() {
        bar2.style.transform = 'rotate(0deg)';
        bar2.style.backgroundColor = 'white';
    }, 100);
    setTimeout(function() {
        bar3.style.transform = 'rotate(0deg)';
        bar3.style.backgroundColor = 'white'; //oh my god it works
    }, 200);
    } else if(!isClicked) {
        nav.style.display = 'none';
    }
});
